Last Comment Bug 638749 - Update PSL for .do
: Update PSL for .do
Status: RESOLVED FIXED
: verified1.9.2
Product: Core
Classification: Components
Component: Networking: Domain Lists (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Gervase Markham [:gerv]
:
: Patrick McManus [:mcmanus]
Mentors:
: 636335 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-04 05:03 PST by Gervase Markham [:gerv]
Modified: 2011-06-16 17:14 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.x-fixed
.18-fixed
.20-fixed


Attachments
Patch v.1 (462 bytes, patch)
2011-03-04 06:23 PST, Gervase Markham [:gerv]
pkasting: review+
dveditz: approval2.0+
dveditz: approval1.9.2.18+
dveditz: approval1.9.1.20+
Details | Diff | Splinter Review

Description Gervase Markham [:gerv] 2011-03-04 05:03:36 PST
Colm MacCarthaigh <colmmacc@amazon.com> writes:

Hi, 

.do is now a generic TLD, available for general-use. (see http://www.todo.do/ for an example). The below change updates the public-suffix information for .do. See also the drop-down menu on "http://www.nic.do/modi/add-d.php3" named "Tipo Dominio". 

Thanks for maintaining the public suffixes!

--- effective_tld_names.dat.old	2011-02-23 16:51:21.000000000 -0800
+++ effective_tld_names.dat	2011-02-23 16:52:42.000000000 -0800
@@ -774,7 +774,17 @@
 gov.dm
 
 // do : http://en.wikipedia.org/wiki/.do
-*.do
+do
+art.do
+com.do
+edu.do
+gob.do
+gov.do
+mil.do
+net.do
+org.do
+sld.do
+web.do
 
 // dz : http://en.wikipedia.org/wiki/.dz
 dz


I have confirmed that the reference he gives to the nic.do website is as he says.

Gerv
Comment 1 Gervase Markham [:gerv] 2011-03-04 06:23:22 PST
Created attachment 516870 [details] [diff] [review]
Patch v.1

Now is not a good time to be looking for checkin approvals; I'll do that once Firefox 4 ships.

Gerv
Comment 2 Peter Kasting 2011-04-18 11:39:29 PDT
*** Bug 636335 has been marked as a duplicate of this bug. ***
Comment 3 Peter Kasting 2011-04-18 11:43:55 PDT
Comment on attachment 516870 [details] [diff] [review]
Patch v.1

r=me
Comment 4 Gervase Markham [:gerv] 2011-05-20 06:17:12 PDT
http://hg.mozilla.org/mozilla-central/rev/994051b44df7

Gerv
Comment 5 Mounir Lamouri (:mounir) 2011-05-20 07:57:50 PDT
Backed out due to xpcshell failure on all platforms.
See: http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1305900628.1305901763.25019.gz&fulltext=1
Comment 6 Gervase Markham [:gerv] 2011-05-20 09:13:43 PDT
Attempt 2: http://hg.mozilla.org/mozilla-central/rev/807a9d44891a

Gerv
Comment 7 Daniel Veditz [:dveditz] 2011-05-23 10:24:03 PDT
Comment on attachment 516870 [details] [diff] [review]
Patch v.1

Approved for 1.9.2.18 and 1.9.1.20, a=dveditz for release-drivers
Approved for the mozilla2.0 repository, a=dveditz for release-drivers

Mozilla only has plans to build 1.9.2 releases, but you're approved to land on the other two repos if you'd like.
Comment 9 Al Billings [:abillings] 2011-06-16 17:14:58 PDT
Verified for 1.9.2.18 in source.

Note You need to log in before you can comment on or make changes to this bug.